Status: Closed Start date: 2010-06-23

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed   

Description

It would be nice to have custom queries  available via Rest Api.

Associated revisions

Revision 6186 - 2011-07-06 18:57 - Jean-Philippe Lang

Makes custom queries available through the REST API (#5737).

History

#1 - 2010-07-27 23:01 - Alex Last

+1. my application also requires retrieval of available "custom queries" from Redmine.

#2 - 2010-07-30 12:21 - Gao Yong Pan

+1 need this one.

#3 - 2010-08-26 00:46 - Eric Davis

- Priority changed from High to Normal

What are you asking for here, to be able to run a custom query from the API? (giving you a list of issues) Or to be able to edit/create custom queries

from the API?

#4 - 2010-08-26 03:30 - Alex Last

- File query_id.PNG added

what I need (and my guess is that's what the submitter meant too) is to get list of user's saved queries.

this is Redmine config page in my application:

 query_id.PNG 

I don't want to force users to go to Redmine web interface and look for "query ID". it would be much better to have "load queries" button, which would

get list of queries from Redmine server and show them in combobox.

#5 - 2010-08-26 07:27 - Paolo Freuli

Alexey Skor wrote:

what I need (and my guess is that's what the submitter meant too) is to get list of user's saved queries.

this is Redmine config page in my application:

 query_id.PNG 

I don't want to force users to go to Redmine web interface and look for "query ID". it would be much better to have "load queries" button, which

would get list of queries from Redmine server and show them in combobox.

 My request is about being able to retrieve the list of saved queries and  to run a selected one.

#6 - 2010-08-26 07:29 - Paolo Freuli

Eric Davis wrote:

What are you asking for here, to be able to run a custom query from the API? (giving you a list of issues) Or to be able to edit/create custom

queries from the API?
 My request is about being able to retrieve the list of saved queries and to run a selected one.

#7 - 2010-11-18 18:03 - Alex Last

Any chance to have this implemented in Redmine 1.1.0?

#8 - 2010-12-25 01:43 - Alex Last

- Assignee set to Jean-Philippe Lang

Jean-Philippe, I hope you don't consider this too impolite if I take the courage to reassign this task to you. This looks like an easy thing to implement

and it would help  me a lot.

In few words: I just need to load a list of saved queries from Redmine server (even "query name" and "id" is enough at this moment).

I don't see another way for my users to see which "saved queries" are available in their Redmine.

#9 - 2011-02-11 07:07 - RedminePro Yang

+1 for this feature

#10 - 2011-07-06 18:58 - Jean-Philippe Lang

- Subject changed from Custom Query available in Rest Api to Custom Queries available through the REST Api

- Status changed from New to Closed

- Target version set to 1.3.0

- Resolution set to Fixed

Committed in r6186, try GET /queries.xml (see Rest_Queries).

#11 - 2011-07-07 06:22 - Alex Last

I added support to Redmine Java API: https://code.google.com/p/redmine-java-api/issues/detail?id=55

#12 - 2011-07-12 22:57 - Alex Last

the API works fine for me. thanks!

Files

query_id.PNG 13.7 KB 2010-08-26 Alex Last
https://www.redmine.org/projects/redmine/repository/svn/revisions/6186
https://www.redmine.org/projects/redmine/wiki/Rest_Queries
